Package org.zkoss.bind.impl

## Class BindTreeitemRenderer

- java.lang.Object
- - org.zkoss.bind.impl.AbstractRenderer
  - - org.zkoss.bind.impl.BindTreeitemRenderer

- All Implemented Interfaces:
    `java.io.Serializable`, `TreeitemRenderer<java.lang.Object>`

      public class BindTreeitemRenderer
      extends AbstractRenderer
      implements TreeitemRenderer<java.lang.Object>

  Treeitem renderer for binding.
  Since:
    6.0.0
  Author:
    henrichen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.AbstractRenderer

      `CURRENT_INDEX_RESOLVER_ATTR, EACH_ATTR, EACH_STATUS_VAR, EACH_VAR, IS_TEMPLATE_MODEL_ENABLED_ATTR, RENDERED_COMPONENTS, STATUS_ATTR, STATUS_POST_VAR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindTreeitemRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `render​(Treeitem item, java.lang.Object data, int index)` | Renders the data to the specified tree item.

    - ### Methods inherited from class org.zkoss.bind.impl.AbstractRenderer

      `addItemReference, addTemplateTracking, filterOutShadows, resolveTemplate, resolveTemplate, setAttributeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindTreeitemRenderer

          public BindTreeitemRenderer()

  - ### Method Detail

    - #### render

          public void render​(Treeitem item,
                             java.lang.Object data,
                             int index)
                      throws java.lang.Exception

      Description copied from interface: `TreeitemRenderer`
      Renders the data to the specified tree item.
      Specified by:
        `render` in interface `TreeitemRenderer<java.lang.Object>`
      Parameters:
        `item` - the Treeitem to render the result.
        Note:
        1. When this method is called, the treeitem should have no child at all, unless you don't return
        2. Treeitem and Treerow are only components that allowed to be item's children.
        3. A new treerow should be constructed and append to item, when treerow of item is null.
           Otherwise, when treerow of item is not null, modify the content of the treerow or detach the treerow's children first, since that only one treerow is allowed
        4. Do not append any treechildren to item in this method, a treechildren will be appended afterward.
        5. When a treerow is not appended to item, generally label of item is displayed.
        `data` - that is used to render the Treeitem
        `index` - the index of the data that is currently being rendered. Notice the index is the order of the siblings (i.e., data that belongs to the same parent).
      Throws:
        `java.lang.Exception`